track.fasta-class {Rgb} | R Documentation

## Class `"track.fasta"`

### Description

`"track.fasta"` is a drawing wraper for FASTA files.

Notice the data are not stored directly in the object, but stay in the original FASTA file(s), thus exported `track.fasta` objects may be broken (the `check` method can confirm this).

Objects are produced by the `track.fasta.multi` and `track.fasta.collection` constructors.

### Extends

Class `sliceable`, directly.
Class `drawable`, by class `sliceable`, distance 2.

All reference classes extend and inherit methods from `envRefClass`.

### Fields

`assembly`:

  Single `character` value, the assembly version for the coordinates stored in the object. Must have length 1, should not be `NA`.

`files`:

  A `data.frame`, with 6 columns : file (character), header (character), startOffset (numeric), lineLength (integer), breakSize (integer) and contentSize (integer). Each row refers to a distinct chromosome, whose name is stored as row name.

`organism`:

  Single `character` value, the name of the organism whose data is stored in the object. Must have length 1, should not be `NA`.

The following fields are inherited (from the corresponding class):

- name (drawable)

- parameters (drawable)

### Methods

The following methods are inherited (from the corresponding class):

- callParams (drawable)

- callSuper (envRefClass)

- check (drawable, overloaded)

- chromosomes (drawable, overloaded)

- copy (envRefClass)

- defaultParams (sliceable, overloaded)

- draw (sliceable)

- export (envRefClass)

- field (envRefClass)

- fix.param (drawable)

- getChromEnd (sliceable, overloaded)

- getClass (envRefClass)

- getName (drawable)

- getParam (drawable)

- getRefClass (envRefClass)

- import (envRefClass)

- initFields (envRefClass)

- initialize (drawable, overloaded)

- setName (drawable)

- setParam (drawable)

- show (sliceable, overloaded)

- slice (sliceable, overloaded)

- trace (envRefClass)

- untrace (envRefClass)

- usingMethods (envRefClass)

### Author(s)

Sylvain Mareschal

### See Also

`track.table`, `sliceable-class`, `drawable-class`

[Package Rgb version 1.6.1 Index]